<!DOCTYPE html>
<html layout:decorator="admin/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:text="#{admin.user.details}"></h1>
        <ul class="collection z-depth-1">
            <li class="collection-item">
                <div class="row">
                    <div class="col s12 m3 l2" th:text="#{admin.user.details.name}"></div>
                    <div class="col s12 m9 l10" th:text="${user.name}"></div>
                </div>
            </li>
            <li class="collection-item">
                <div class="row">
                    <div class="col s12 m3 l2" th:text="#{admin.user.details.role}"></div>
                    <div class="col s12 m9 l10" th:if="${user instanceof T(at.ac.tuwien.inso.sqm.entity.StudentEntity)}"
                         th:text="#{admin.user.details.role.student}"></div>
                    <div class="col s12 m9 l10"
                         th:if="${user instanceof T(at.ac.tuwien.inso.sqm.entity.LecturerEntity)}"
                         th:text="#{admin.user.details.role.lecturer}"></div>
                </div>
            </li>
            <li class="collection-item">
                <div class="row">
                    <div class="col s12 m3 l2" th:text="#{admin.user.details.identificationNumber}"></div>
                    <div class="col s12 m9 l10" th:text="${user.identificationNumber}"></div>
                </div>
            </li>
            <li class="collection-item">
                <div class="row">
                    <div class="col s12 m3 l2" th:text="#{admin.user.details.email}"></div>
                    <div class="col s12 m9 l10">
                        <a class="teal-text" th:href="'mailto:'+${user.email}" th:text="${user.email}"></a>
                        <span class="red-text" th:if="${!user.activated}"
                              th:text="'(' + (#{admin.users.inactive}) + ')'"></span>
                    </div>
                </div>
            </li>
        </ul>

        <div layout:fragment="specific-details"></div>

    </div>
</main>

</body>
</html>
